@echo off
title  ◇360木马云查杀注册向导◇ 
cls
color 9F
:start
cls
color
MODE con: COLS=79 LINES=25
set tm1=%time:~0,2%
set tm2=%time:~3,2%
set tm3=%time:~6,2%
mode con cols=55 lines=10

setlocal disabledelayedexpansion

set file="full.ini"

set []=#
set #clear=#
for /f "delims=" %%a in ('findstr /n .* %file%') do (
    if defined #clear set "#clear=" >%file%
    set var=%%a$
    setlocal enabledelayedexpansion
    set var=!var:*:=!
    (
        if /i "![]!!var:~0,2!" == "[木马查杀]真=" (
            echo 真=True
            echo 文件=!cd!\360DS\360Safe.exe
            echo 路径=!cd!\360DS
        ) else (
            echo,!var:~0,-1!
            if "!var:~0,1!!var:~-2,-1!" == "[]" (
                for %%a in ("!var:~0,-1!") do (
                    endlocal
                    set []=%%~a
                )
            ) else (
                endlocal
            )
        )
    ) >>%file%
)

echo 注册成功，四引擎已安装完毕，QVM、小红伞引擎默认关闭，请自行打开
echo 请到组合卫士主界面重新检测后启动360木马云查杀
echo 按任意键退出本注册向导
pause >nul
exit